#ifndef _IIC_H_
#define _IIC_H_


/* function prototypes */
static int iic_open(struct inode*, struct file*);
static int iic_release(struct inode*, struct file*);
static int iic_ioctl(struct inode*, struct file*, unsigned int, unsigned long);
//static int iic_mmap(struct file*, struct vm_area_struct*);
static ssize_t iic_read(struct file*, char*, size_t, loff_t*);
static ssize_t iic_write(struct file*, const char*, size_t, loff_t*);

uint32_t debug_level =1;
#define DPRINTF(x...)  if (debug_level != 0) printk(KERN_NOTICE "IIC: "x)

/*    IIC registers  -  these are all offsets from  the address in badr1_iobase    */

#define IIC_STATUS        0x00

/*    IOCTL codes   */


#endif /* _IIC_H_ */
